![module info](https://nodei.co/npm/mysqli.png?downloads=true&downloadRank=true&stars=true)

[中文说明](./Readme_CN.md)

# mysqli

> This module is based on the `node-mysql` module and converts the SQL syntax to the API similar to MongoDB. Some simple APIs is provided for commonly used additions, deletions, and changes, and xss injection, which is very friendly to novices.

## installation

```bash
# 3.x    recommend
npm i mysqli
# or
npm i mysqli@3.x


# 2.x old version
npm i mysqli@2.x
```

## Quick Start

> One or more configurations can be passed in for instantiation. When there is only one database, the default is the `master library`; when there is more than one database service, the first one is automatically used as the `master library`, and the other `slave libraries`. so, `pay attention to the order` when using.


```javascript
let Mysqli = require('mysqli')

// one config
let conn = new Mysqli({
  host: '', // IP/domain  
  post: 3306, //port, default 3306  
  user: '', // username
  passwd: '', // password
  charset: '', // CHARSET of database, default to utf8 【optional】
  db: '' // the default database name  【optional】
})

// two or more configs
let conn = new Mysqli([
  {
    host: 'host1', // 
    ...
  },
  {
    host: 'host2', // 
    ...
  },
  ...
])
```

## Document

* [v3.x](docs/3.x.md)
* [v2.x](docs/2.x.md)  👎 Deprecated
